package cn.bunny.pattern4.demo2;

public class Main {
    public static void main(String[] args) {
        System.out.println("------------------执行简单的拍照-------------------");

        TakePhotoCamera takePhotoCamera = new TakePhotoCamera();
        takePhotoCamera.operation();

        System.out.println("-------------------需要美颜功能------------------");

        BeautyCameraDecorator beautyCameraDecorator = new BeautyCameraDecorator(takePhotoCamera);
        beautyCameraDecorator.operation();

        System.out.println("-------------------需要美颜功能之后滤镜------------------");

        FilterCameraDecorator filterCameraDecorator = new FilterCameraDecorator(beautyCameraDecorator);
        filterCameraDecorator.operation();
    }
}
